com.amazonaws.services.simpleworkflow.model

## Class SignalExternalWorkflowExecutionDecisionAttributes

- java.lang.Object
- - com.amazonaws.services.simpleworkflow.model.SignalExternalWorkflowExecutionDecisionAttributes

All Implemented Interfaces:
  Serializable, Cloneable

    public class SignalExternalWorkflowExecutionDecisionAttributes
    extends Object
    implements Serializable, Cloneable

Provides details of the `SignalExternalWorkflowExecution` decision.

Access Control

You can use IAM policies to control this decision's access to Amazon SWF resources as follows:

- Use a `Resource` element with the domain name to limit the action to only specified domains.
- Use an `Action` element to allow or deny permission to call this action.
- You cannot use an IAM policy to constrain this action's parameters.

If the caller does not have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's cause parameter will be set to OPERATION_NOT_PERMITTED. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SignalExternalWorkflowExecutionDecisionAttributes()`

### Method Summary

All Methods Instance Methods Concrete Methods
`SignalExternalWorkflowExecutionDecisionAttributes` `clone()`
`boolean` `equals(Object obj)`
`String` `getControl()` Optional. Data attached to the event that can be used by the decider in subsequent decision tasks.
`String` `getInput()` Optional. Input data to be provided with the signal.
`String` `getRunId()` The `runId` of the workflow execution to be signaled.
`String` `getSignalName()` Required. The name of the signal.The target workflow execution will use the signal name and input to process the signal.
`String` `getWorkflowId()` Required. The `workflowId` of the workflow execution to be signaled.
`int` `hashCode()`
`void` `setControl(String control)` Optional. Data attached to the event that can be used by the decider in subsequent decision tasks.
`void` `setInput(String input)` Optional. Input data to be provided with the signal.
`void` `setRunId(String runId)` The `runId` of the workflow execution to be signaled.
`void` `setSignalName(String signalName)` Required. The name of the signal.The target workflow execution will use the signal name and input to process the signal.
`void` `setWorkflowId(String workflowId)` Required. The `workflowId` of the workflow execution to be signaled.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`SignalExternalWorkflowExecutionDecisionAttributes` `withControl(String control)` Optional. Data attached to the event that can be used by the decider in subsequent decision tasks.
`SignalExternalWorkflowExecutionDecisionAttributes` `withInput(String input)` Optional. Input data to be provided with the signal.
`SignalExternalWorkflowExecutionDecisionAttributes` `withRunId(String runId)` The `runId` of the workflow execution to be signaled.
`SignalExternalWorkflowExecutionDecisionAttributes` `withSignalName(String signalName)` Required. The name of the signal.The target workflow execution will use the signal name and input to process the signal.
`SignalExternalWorkflowExecutionDecisionAttributes` `withWorkflowId(String workflowId)` Required. The `workflowId` of the workflow execution to be signaled.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SignalExternalWorkflowExecutionDecisionAttributes

    public SignalExternalWorkflowExecutionDecisionAttributes()

### Method Detail

#### setWorkflowId

    public void setWorkflowId(String workflowId)

Required. The `workflowId` of the workflow execution to be signaled.

Parameters:
  `workflowId` - Required. The `workflowId`

#### getWorkflowId

    public String getWorkflowId()

Required. The `workflowId` of the workflow execution to be signaled.

Returns:
  Required. The `workflowId`

#### withWorkflowId

    public SignalExternalWorkflowExecutionDecisionAttributes withWorkflowId(String workflowId)

Required. The `workflowId` of the workflow execution to be signaled.

Parameters:
  `workflowId` - Required. The `workflowId`
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setRunId

    public void setRunId(String runId)

The `runId` of the workflow execution to be signaled.

Parameters:
  `runId` - The `runId` of the workflow execution to be signaled.

#### getRunId

    public String getRunId()

The `runId` of the workflow execution to be signaled.

Returns:
  The `runId` of the workflow execution to be signaled.

#### withRunId

    public SignalExternalWorkflowExecutionDecisionAttributes withRunId(String runId)

The `runId` of the workflow execution to be signaled.

Parameters:
  `runId` - The `runId` of the workflow execution to be signaled.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setSignalName

    public void setSignalName(String signalName)

Required. The name of the signal.The target workflow execution will use the signal name and input to process the signal.

Parameters:
  `signalName` - Required.

#### getSignalName

    public String getSignalName()

Required. The name of the signal.The target workflow execution will use the signal name and input to process the signal.

Returns:
  Required.

#### withSignalName

    public SignalExternalWorkflowExecutionDecisionAttributes withSignalName(String signalName)

Required. The name of the signal.The target workflow execution will use the signal name and input to process the signal.

Parameters:
  `signalName` - Required.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setInput

    public void setInput(String input)

Optional. Input data to be provided with the signal. The target workflow execution will use the signal name and input data to process the signal.

Parameters:
  `input` - Optional.

#### getInput

    public String getInput()

Optional. Input data to be provided with the signal. The target workflow execution will use the signal name and input data to process the signal.

Returns:
  Optional.

#### withInput

    public SignalExternalWorkflowExecutionDecisionAttributes withInput(String input)

Optional. Input data to be provided with the signal. The target workflow execution will use the signal name and input data to process the signal.

Parameters:
  `input` - Optional.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setControl

    public void setControl(String control)

Optional. Data attached to the event that can be used by the decider in subsequent decision tasks.

Parameters:
  `control` - Optional.

#### getControl

    public String getControl()

Optional. Data attached to the event that can be used by the decider in subsequent decision tasks.

Returns:
  Optional.

#### withControl

    public SignalExternalWorkflowExecutionDecisionAttributes withControl(String control)

Optional. Data attached to the event that can be used by the decider in subsequent decision tasks.

Parameters:
  `control` - Optional.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public SignalExternalWorkflowExecutionDecisionAttributes clone()

Overrides:
  `clone` in class `Object`